require_relative '../../util/enum'

module MangoModel

  # Event types enumeration
  class EventType
    extend Enum

    ALL = value 'ALL'

    PAYIN_NORMAL_CREATED = value 'PAYIN_NORMAL_CREATED'
    PAYIN_NORMAL_SUCCEEDED = value 'PAYIN_NORMAL_SUCCEEDED'
    PAYIN_NORMAL_FAILED = value 'PAYIN_NORMAL_FAILED'

    PAYOUT_NORMAL_CREATED = value 'PAYOUT_NORMAL_CREATED'
    PAYOUT_NORMAL_SUCCEEDED = value 'PAYOUT_NORMAL_SUCCEEDED'
    PAYOUT_NORMAL_FAILED = value 'PAYOUT_NORMAL_FAILED'

    TRANSFER_NORMAL_CREATED = value 'TRANSFER_NORMAL_CREATED'
    TRANSFER_NORMAL_SUCCEEDED = value 'TRANSFER_NORMAL_SUCCEEDED'
    TRANSFER_NORMAL_FAILED = value 'TRANSFER_NORMAL_FAILED'

    PAYIN_REFUND_CREATED = value 'PAYIN_REFUND_CREATED'
    PAYIN_REFUND_SUCCEEDED = value 'PAYIN_REFUND_SUCCEEDED'
    PAYIN_REFUND_FAILED = value 'PAYIN_REFUND_FAILED'

    PAYOUT_REFUND_CREATED = value 'PAYOUT_REFUND_CREATED'
    PAYOUT_REFUND_SUCCEEDED = value 'PAYOUT_REFUND_SUCCEEDED'
    PAYOUT_REFUND_FAILED = value 'PAYOUT_REFUND_FAILED'

    TRANSFER_REFUND_CREATED = value 'TRANSFER_REFUND_CREATED'
    TRANSFER_REFUND_SUCCEEDED = value 'TRANSFER_REFUND_SUCCEEDED'
    TRANSFER_REFUND_FAILED = value 'TRANSFER_REFUND_FAILED'

    KYC_CREATED = value 'KYC_CREATED'
    KYC_VALIDATION_ASKED = value 'KYC_VALIDATION_ASKED'
    KYC_SUCCEEDED = value 'KYC_SUCCEEDED'
    KYC_FAILED = value 'KYC_FAILED'

    PAYIN_REPUDIATION_CREATED = value 'PAYIN_REPUDIATION_CREATED'
    PAYIN_REPUDIATION_SUCCEEDED = value 'PAYIN_REPUDIATION_SUCCEEDED'
    PAYIN_REPUDIATION_FAILED = value 'PAYIN_REPUDIATION_FAILED'

    DISPUTE_DOCUMENT_CREATED = value 'DISPUTE_DOCUMENT_CREATED'
    DISPUTE_DOCUMENT_VALIDATION_ASKED = value 'DISPUTE_DOCUMENT_VALIDATION_ASKED'
    DISPUTE_DOCUMENT_SUCCEEDED = value 'DISPUTE_DOCUMENT_SUCCEEDED'
    DISPUTE_DOCUMENT_FAILED = value 'DISPUTE_DOCUMENT_FAILED'
    DISPUTE_CREATED = value 'DISPUTE_CREATED'
    DISPUTE_SUBMITTED = value 'DISPUTE_SUBMITTED'
    DISPUTE_ACTION_REQUIRED = value 'DISPUTE_ACTION_REQUIRED'
    DISPUTE_FURTHER_ACTION_REQUIRED = value 'DISPUTE_FURTHER_ACTION_REQUIRED'
    DISPUTE_CLOSED = value 'DISPUTE_CLOSED'
    DISPUTE_SENT_TO_BANK = value 'DISPUTE_SENT_TO_BANK'

    TRANSFER_SETTLEMENT_CREATED = value 'TRANSFER_SETTLEMENT_CREATED'
    TRANSFER_SETTLEMENT_SUCCEEDED = value 'TRANSFER_SETTLEMENT_SUCCEEDED'
    TRANSFER_SETTLEMENT_FAILED = value 'TRANSFER_SETTLEMENT_FAILED'

    MANDATE_CREATED = value 'MANDATE_CREATED'
    MANDATE_FAILED = value 'MANDATE_FAILED'
    MANDATE_ACTIVATED = value 'MANDATE_ACTIVATED'
    MANDATE_SUBMITTED = value 'MANDATE_SUBMITTED'
    MANDATE_EXPIRED = value 'MANDATE_EXPIRED'

    PREAUTHORIZATION_PAYMENT_WAITING = value 'PREAUTHORIZATION_PAYMENT_WAITING'
    PREAUTHORIZATION_PAYMENT_EXPIRED = value 'PREAUTHORIZATION_PAYMENT_EXPIRED'
    PREAUTHORIZATION_PAYMENT_CANCELED = value 'PREAUTHORIZATION_PAYMENT_CANCELED'
    PREAUTHORIZATION_PAYMENT_VALIDATED = value 'PREAUTHORIZATION_PAYMENT_VALIDATED'

    UBO_DECLARATION_CREATED = value 'UBO_DECLARATION_CREATED'
    UBO_DECLARATION_VALIDATION_ASKED = value 'UBO_DECLARATION_VALIDATION_ASKED'
    UBO_DECLARATION_REFUSED = value 'UBO_DECLARATION_REFUSED'
    UBO_DECLARATION_VALIDATED = value 'UBO_DECLARATION_VALIDATED'

    USER_KYC_REGULAR = value 'USER_KYC_REGULAR'

    USER_INFLOWS_BLOCKED = value 'USER_INFLOWS_BLOCKED'
    USER_INFLOWS_UNBLOCKED = value 'USER_INFLOWS_UNBLOCKED'
    USER_OUTFLOWS_BLOCKED = value 'USER_OUTFLOWS_BLOCKED'
    USER_OUTFLOWS_UNBLOCKED = value 'USER_OUTFLOWS_UNBLOCKED'
  end
end